Package org.springframework.security.config.method

# Class MethodSecurityBeanDefinitionParser.SecuredAuthorizationMethodInterceptor

java.lang.Object
org.springframework.security.config.method.MethodSecurityBeanDefinitionParser.SecuredAuthorizationMethodInterceptor

All Implemented Interfaces:
  `org.springframework.beans.factory.FactoryBean<org.springframework.security.authorization.method.AuthorizationManagerBeforeMethodInterceptor>`

Enclosing class:
  MethodSecurityBeanDefinitionParser

public static final class MethodSecurityBeanDefinitionParser.SecuredAuthorizationMethodInterceptor extends Object implements org.springframework.beans.factory.FactoryBean<org.springframework.security.authorization.method.AuthorizationManagerBeforeMethodInterceptor>

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`SecuredAuthorizationMethodInterceptor()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.authorization.method.AuthorizationManagerBeforeMethodInterceptor`
`getObject()`
`Class<?>`
`getObjectType()`
`void`
`setObservationRegistry(io.micrometer.observation.ObservationRegistry observationRegistry)`
`void`
`setSecurityContextHolderStrategy(org.springframework.security.core.context.SecurityContextHolderStrategy securityContextHolderStrategy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.beans.factory.FactoryBean

`isSingleton`

## Constructor Details

### SecuredAuthorizationMethodInterceptor

public SecuredAuthorizationMethodInterceptor()

## Method Details

### getObject

public org.springframework.security.authorization.method.AuthorizationManagerBeforeMethodInterceptor getObject()

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.security.authorization.method.AuthorizationManagerBeforeMethodInterceptor>`

### getObjectType

public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.security.authorization.method.AuthorizationManagerBeforeMethodInterceptor>`

### setSecurityContextHolderStrategy

public void setSecurityContextHolderStrategy(org.springframework.security.core.context.SecurityContextHolderStrategy securityContextHolderStrategy)

### setObservationRegistry

public void setObservationRegistry(io.micrometer.observation.ObservationRegistry observationRegistry)